/*
  Theme Name: Janie Pineda
  Theme URI: https://quikdin.com
  Version: 1.0.0
  Template: Divi
  Author: Quikdin
  Author URI: https://www.divi-pixel.com
  Text Domain: janie-pineda
  License: GNU General Public License v2 or later
  License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/

:root {
  /* Primary Colors */
  --primary-color: #007bff;
  /* Blue */
  --primary-dark: #c7c9d9;
  --primary-light: #fff;

  /* Secondary Colors */
  --secondary-color: #6c757d;
  /* Gray */
  --secondary-dark: #212529;
  --secondary-light: #adb5bd;

  /* Background Colors */
  --background-color: #f8f9fa;
  --background-dark: #e9ecef;
  --background-light: #ffffff;

  /* Text Colors */
  --text-color: #212529;
  --text-dark: #000000;
  --text-light: #6c757d;

  /* Border Colors */
  --border-color: #dee2e6;
}

body p,
body a {
  font-family: "Montserrat", sans-serif !important;
  font-weight: 400 !important;
  /* font-size: 16px; */
}

body h1,
body h2,
body h3,
body h4,
body h5,
body h6 {
  font-family: "Barlow", sans-serif !important;
  font-weight: 400;

}

/*Backgrund Animation Cutomize*/


.qdin-bg-color::before {
  position: absolute;
  content: "";
  width: 100%;
  height: 100%;
  left: 0;
  top: 0;
  bottom: 0;
  right: 0;
  background: var(--secondary-dark);
  opacity: .45;
  z-index: 1;
  box-sizing: border-box;
}

.white-color h1,
.white-color h2,
.white-color h3,
.white-color h4,
.white-color h5,
.white-color h6,
.white-color p,
.white-color a,
.white-color .et_pb_text_inner,
.white-color .et_pb_blurb_description {
  color: var(--primary-light) !important;
}

.text-justify p,
.text-justify a,
.text-justify li,
.text-justify .et_pb_text_inner,
.text-justify .et_pb_blurb_description {
  text-align: justify;
}

.text-center h1,
.text-center h2,
.text-center h3,
.text-center h4,
.text-center h5,
.text-center h6,
.text-center p,
.text-center a,
.text-center li,
.text-center .et_pb_text_inner,
.text-center .et_pb_blurb_description {
  text-align: center;
}

.qdin-uppercase {
  text-transform: uppercase;
}

.qdin-text p,
.qdin-text a,
.qdin-text li,
.qdin-text .et_pb_text_inner,
.qdin-text .et_pb_blurb_description {
  font-size: .95rem;
  line-height: 1.6rem;
  font-weight: 400 !important;
  /*color: var(--text-dark);*/
}


/* Heading & Text Customize */
.qdin-hero h1 {
  font-size: 3.7rem;
  font-weight: 400;
  line-height: 4.3rem;

}


.qdin-heading h1,
.qdin-heading h2 {
  font-size: 2.25rem;
  line-height: 3rem;
  font-weight: 400;
}


.qdin-heading h3 {
  font-size: 2.2rem;
  line-height: 3rem;
  font-weight: 400;
}

.qdin-heading h4,
.qdin-hero h4 {
  font-size: 1.5rem;
  line-height: 2.5rem;
  font-weight: 400;
}

.qdin-heading h5 {
  font-size: 1rem;
  line-height: 1.4rem;
  font-weight: 400;
}

.qdin-heading h6 {
  font-size: .95rem;
  line-height: 1.4rem;
  font-weight: 400;
}

/* Extra Small Devices (Phones) */
@media (max-width: 500px) {

  .qdin-hero h1 {
    font-size: 2rem !important;
    line-height: 2.3rem !important;
  }

  .qdin-heading h1,
  .qdin-heading h2 {
    font-size: 1.55rem !important;
    line-height: 2rem !important;
  }

  .qdin-heading h3 {
    font-size: 1.45rem !important;
    line-height: 1.75rem !important;
  }

  .qdin-heading h4,
  .qdin-hero h4 {
    font-size: 1.3rem !important;
    line-height: 1.7rem !important;
  }

}




/* Row Center Alignment */
.center-row-align,
.center-row-align .et_pb_column {
  display: flex;
  justify-content: center;
  flex-direction: row;
  align-items: baseline;
  padding: 10px;
  margin: 0px;
}



.et_pb_button_module_wrapper .common-btn {
  color: var(--secondary-dark);
  padding: 15px 35px !important;
  border-width: 1px;
  border-radius: 5px;
  border-color: var(--secondary-dark);
  font-size: .9rem;
  text-align: center;
  font-weight: 500 !important;
  text-transform: uppercase;
  letter-spacing: 2px;
  background-color: RGBA(255, 255, 255, 0);
  box-shadow: 0px 9px 18px -9px rgba(0, 0, 0, 0.1);
  margin: 0px 15px 0px 0px;

}


/*This will fix the issue with the Buttom Module Animation*/
.et_pb_button_module_wrapper {
  transition: all .3s ease !Important;
}


.et_pb_button_module_wrapper .common-btn {
  color: var(--secondary-dark);
  padding: 15px 35px !important;
  border-width: 1px;
  border-radius: 5px;
  border-color: var(--secondary-dark);
  font-size: .9rem;
  text-align: center;
  font-weight: 500 !important;
  text-transform: uppercase;
  letter-spacing: 2px;
  background-color: RGBA(255, 255, 255, 0);
  box-shadow: 0px 9px 18px -9px rgba(0, 0, 0, 0.1);
  margin: 0px 15px 0px 0px;

}

.et_pb_button_module_wrapper .common-btn:hover {
  padding: 15px 35px !important;
  background-color: var(--secondary-dark);
  color: var(--primary-light);
}

.et_pb_button_module_wrapper .remove-icon:hover:after {
  display: none !important;
}

.et_pb_button_module_wrapper .qdin-button-1 {
  color: var(--primary-light) !important;
  border: 1px solid var(--primary-light) !important;
}

.et_pb_button_module_wrapper .qdin-button-1:hover {
  background: var(--primary-light) !important;
  color: var(--secondary-dark) !important;
  border: 1px solid var(--secondary-dark) !important;


}

.et_pb_button_module_wrapper .qdin-button-2 {
  color: var(--secondary-dark) !important;
  background-color: var(--primary-light) !important;
  border: 1px solid var(--primary-light) !important;

}

.et_pb_button_module_wrapper .qdin-button-2:hover {
  background: rgba(255, 255, 255, 0) !important;
  color: var(--primary-light) !important;
  border: 1px solid var(--primary-light) !important;

}

/* Extra Small Devices (Phones) */
@media (max-width: 570px) {
  .inline-buttons-row {
    flex-direction: column !important;
  }

  .center-row-align,
  .center-row-align .et_pb_column {
    display: block !important;
  }

  .et_pb_button_module_wrapper a.et_pb_button {
    display: inline-block !important;
    width: 100% !important;
    padding: 15px !important;
    font-size: .8rem !important;
    margin-right: 0px !important;

  }

  .et_pb_button_module_wrapper {
    margin-bottom: 20px !important;
  }

  .et_pb_button_module_wrapper a.et_pb_button:hover {
    padding: 15px !important;
  }

}


/* QDIN Card Latest Listing Section */
.qdin-card {
  height: 550px;
}

.qdin-card .et_pb_blurb_content .et_pb_blurb_container {
  position: absolute;
  z-index: 1;
  width: 100%;
  margin-bottom: 50px;
  bottom: 180px;
  transition: all 0.5s ease;
  text-align: center !important;
}

.qdin-card:hover .et_pb_blurb_content .et_pb_blurb_container {
  bottom: 220px;
}

.qdin-card .et_pb_main_blurb_image,
.qdin-card .et_pb_image_wrap,
.qdin-card .et_pb_image_wrap img {
  object-fit: cover;
  border-radius: 15px;
  max-width: 100%;
  height: 550px !important;
  width: 100%;
  display: block;
}

.qdin-gap-card .et_pb_main_blurb_image,
.qdin-gap-card .et_pb_image_wrap,
.qdin-gap-card .et_pb_image_wrap img {
  border-radius: 0px !important;
}


.qdin-card.et_pb_blurb:after {
  /* content: url('https://eulxtech.com/realestate/wp-content/uploads/2025/02/2.png'); */
  position: absolute;
  bottom: 0px;
  width: 50px;
  height: 50px;
  border: 1px solid #fff;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 99;
  margin: auto;
  left: 0;
  right: 0;
  transform: scale(0);
  transition: all .5s ease;
}

.qdin-card.et_pb_blurb:hover:after {
  transform: scale(0.3);
  bottom: 50px;
}

.qdin-card.et_pb_blurb:before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: linear-gradient(360deg, rgb(0 0 0 / 70%) 70%, rgb(0 0 0 / 50%));
  border-radius: 0px;
  opacity: 0.35;
  z-index: 1;
}

.qdin-card.et_pb_blurb:hover:before {
  opacity: 0.7;
}

.qdin-card .qdin-gap-card .et_pb_blurb:before {
  border-radius: 0px !important;
}

.qdin-card .et_pb_blurb_description {
  padding: 15px;
  color: #fff;
}



/* QDIN Slide Card Listing  */
.qdin-slide-card {
  height: 600px !important;
  margin: 0px 10px !important;
}

.qdin-slide-card .et_pb_blurb_content .et_pb_blurb_container {
  position: absolute;
  z-index: 1;
  width: 100%;
  margin-bottom: 50px;
  bottom: 20px;
  transition: all 0.5s ease;
  padding: 15px 50px;
}

.qdin-slide-card:hover .et_pb_blurb_content .et_pb_blurb_container {
  bottom: 30px;
}

.qdin-slide-card .et_pb_main_blurb_image,
.qdin-slide-card .et_pb_image_wrap,
.qdin-slide-card .et_pb_image_wrap img {
  object-fit: cover;
  max-width: 100%;
  height: 600px !important;
  width: 100%;
  display: block;
}



/* .qdin-slide-card .et_pb_blurb:after {
  content: url('https://eulxtech.com/realestate/wp-content/uploads/2025/02/2.png');
  position: absolute;
  bottom: 0px;
  width: 50px;
  height: 50px;
  border: 1px solid #fff;
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 99;
  margin: auto;
  left: 0;
  right: 0;
  transform: scale(0);
  transition: all .5s ease;
}

.qdin-slide-card .et_pb_blurb:hover:after {
  transform: scale(0.3);
  bottom: 50px;
} */

.qdin-slide-card.et_pb_blurb:before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background: linear-gradient(360deg, rgb(0 0 0 / 70%) 70%, rgb(0 0 0 / 50%));
  opacity: 0.35;
  z-index: 1;
}

.qdin-slide-card.et_pb_blurb:hover:before {
  opacity: 0.7;
}


.qdin-slide-card .et_pb_blurb_description {
  color: #fff;
}

.qdin-slide-card .et_pb_module_header,
.qdin-slide-card .et_pb_blurb_description {
  border-left: 3px solid white;
  padding-left: 10px;
}

.et_pb_button_module_wrapper .qdin-card-button {
  margin-top: 25px !important;
  color: var(--primary-light) !important;
  border: 1px solid var(--primary-light) !important;
  letter-spacing: 1px !important;
  padding: 10px 20px !important;
}

.et_pb_button_module_wrapper .qdin-card-button:hover {
  margin-top: 25px !important;
  background: var(--primary-light) !important;
  color: var(--secondary-dark) !important;
  padding: 10px 20px !important;
}



.et-db #et-boc .et-l #et-fb-app .qdin-slide-col .et_pb_column {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  grid-gap: 0px;
}

.qdin-slide-col .slick-list {
  overflow: hidden;
  margin: 0px;
}

.qdin-slide-col .slick-arrow {
  position: absolute;
  top: auto;
  right: 0;
  height: 40px;
  width: 40px;
  font-size: 0;
  border: 0;
  background: var(--primary-color);
  padding: 0;
  z-index: 9;
  transition: all 0.5s ease;
  color: var(--primary-dark);
  bottom: -70px;
}

.qdin-slide-col .slick-next,
.qdin-slide-col .slick-prev {
  width: 40px;
  height: 40px;
  background: var(--secondary-color) !important;
  color: var(--primary-light);
  cursor: pointer;
  font-size: 0;
  text-align: center;
  border: none;

  transition: all 0.5s ease;
  display: flex;
  align-items: center;
  justify-content: center;
  left: 0;
  right: -50px;
  margin: auto;
}

.qdin-slide-col .slick-next:hover,
.qdin-slide-col.slick-prev:hover {
  background: var(--primary-color) !important;
}

.qdin-slide-col .slick-arrow.slick-prev {
  right: auto;
  left: 0px;
  top: 50%;
  transform: translateY(-50%);
  bottom: auto;
}

.qdin-slide-col .slick-next {
  right: 0px;
  left: auto;
  top: 50%;
  transform: translateY(-50%);
  bottom: auto;
}

.qdin-slide-col .slick-prev:before {
  content: "\23";
  font-family: ETmodules;
  font-size: 22px;
}

.qdin-slide-col .slick-next:before {
  content: "\24";
  font-family: ETmodules;
  font-size: 22px;
}

.qdin-slide-col .slick-slide {
  margin: 0;
}




/* Header Customization */
.et_pb_menu--with-logo .et_pb_menu__menu>nav>ul>li>a {
  font-weight: 600 !important;
  text-transform: uppercase;
  letter-spacing: 1px;
}

.et-menu .menu-item-has-children>a:first-child {
  padding-right: 0px !important;
}

.et_pb_menu--with-logo .et_pb_menu__menu>nav>ul>li>a:after {
  display: none;
}

/* On screens that are 992px or less, set the background color to blue */
@media screen and (max-width: 992px) {
  #qdin-top-menu .et_pb_menu__wrap {
    display: none !important;
  }

}

.et_pb_menu_0_tb_header.et_pb_menu ul li a {
  width: 100% !important;
}

.et_pb_menu .et-menu-nav>ul ul {
  padding: 0px !important;
}

.nav li li {
  padding: 0px !important;
  width: 100%;
}

.et_pb_column_0_tb_header {
  gap: 0px !important;
}

.qdin-hd .et-menu .menu-item-has-children>a:after {
  content: '+' !important;
  font-size: 20px !important;
  font-weight: normal !important;
  padding-left: 10px;
  right: auto !important;
  font-family: inherit;
}

.qdin-hd .et-menu .menu-item-has-children>.dle-hd-menu-switched-icon:after {
  content: '-' !important;
  font-size: 20px !important;
  font-weight: normal !important;
  padding-left: 10px;
  right: auto !important;
  font-family: inherit;
}

.qdin-hd .et-menu .menu-item-has-children>a {
  position: relative !important;
}

.qdin-hd .et-menu .menu-item-has-children .sub-menu li {
  display: none !important;
}

.qdin-hd .et-menu .menu-item-has-children .sub-menu .dle-hd-show-menu-items {
  display: block !important;
}

.qdin-hd .et_pb_menu__menu {
  display: block !important;
  width: 100%;
}

.qdin-hd .et_mobile_nav_menu {
  display: none !important;
}

.qdin-hd .et-menu-nav .et-menu {
  flex-direction: column;
  width: 100%;
  margin-left: 0 !important;
  margin-right: 0 !important;
  text-align: center;
}

.qdin-hd .et-menu>li {
  display: flex !important;
  flex-direction: column;
  margin-top: 0 !important;
  padding: 5px 10px !important;
}

.qdin-hd .sub-menu {
  border-top: 0 !important;
  box-shadow: none !important;
  display: flex;
  flex-direction: column;
  left: 0 !important;
  opacity: 1 !important;
  position: relative !important;
  top: 15px !important;
  visibility: visible !important;
  width: auto !important;
  text-align: center !important;
  z-index: 999999 !important;
}

.qdin-hd .et_pb_menu__wrap {
  justify-content: flex-start !important;
}

.qdin-hd .et-menu li li a {
  font-size: 14px !important;
  font-weight: 600 !important;
  padding: 0 0 16px 0 !important;
  width: auto !important;
}

.qdin-hd .et-menu li li a:hover {
  background-color: transparent;
}

.qdin-menu-row {
  overflow: auto;
  scrollbar-width: none;
  transform: translateX(100%);
  transition: all 1s ease;
}

.qdin-menu-row::-webkit-scrollbar {
  display: none;
}

.qdin-menu-row.qdin-menu {
  transform: translateX(0);
  transition: all 1s ease;
}

.qdin-hamburger-icon,
.qdin-hd-close-icon {
  cursor: pointer;
}

.qdin-hamburger-icon {
  display: inline-block;
  float: right;
}

.qdin-hamburger-icon .et_pb_blurb_container,
.qdin-hd-close-icon .et_pb_blurb_container {
  vertical-align: middle !important;
}

.qdin-hamburger-icon .et_pb_main_blurb_image,
.qdin-hd-close-icon .et_pb_main_blurb_image {
  margin-bottom: 0;
}

.qdin-hd .et-menu li li.menu-item-has-children>a:first-child:after {
  top: 0;
}

.qdin-hd .nav li li {
  padding: 0 !important;
}



@media screen and (max-width: 980px) {
  .admin-bar .qdin-hd-close-icon {
    top: 40px;
  }

  .qdin-hd .et-menu li li a {
    font-size: 14px !important;
  }

  .qdin-hd .et-menu .menu-item-has-children>a:after {
    font-size: 15px !important;
  }

  .qdin-hd .et-menu .menu-item-has-children>.dle-hd-menu-switched-icon:after {
    font-size: 16px !important;
  }
}

@media screen and (max-width: 767px) {
  .qdin-hamburger-icon {
    float: right;
  }
}


